> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Token Type New

> Deletes or disables a token type unused by grants, archiving its wallets and clearing allocations.

Not available to API keys yet. It will need `wallets:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/delete-token-type-new
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/delete-token-type-new:
    post:
      operationId: deleteTokenTypeNew
      summary: Delete Token Type New
      description: >-
        Deletes or disables a token type unused by grants, archiving its wallets
        and clearing allocations.


        Not available to API keys yet. It will need `wallets:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteTokenTypeNewRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteTokenTypeNewResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    DeleteTokenTypeNewRequest:
      type: object
      properties:
        tokenTypeID:
          type: string
          format: uuid
      required:
        - tokenTypeID
    DeleteTokenTypeNewResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      required:
        - success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
